#!/bin/sh
TOMCAT_HOME_INITIAL='C:\\temp\\stepcat-1.3-6.0.14'
TOMCAT_HOME_INITIAL_SED=`echo $TOMCAT_HOME_INITIAL | sed -e 's|[\]|[\\\\\\\\]|g' -e 's|\.|[.]|g'`
TOMCAT_HOME_INITIAL_BACKSLASH_SED=`echo $TOMCAT_HOME_INITIAL | sed -e 's|[\]|/|g' -e 's|\.|[.]|g'`

TOMCAT_HOME_FINAL="$(dirname $(cd "${0%/*}" 2>/dev/null; echo "$PWD"))"
TOMCAT_HOME_FINAL_BACKSLASH=`echo $TOMCAT_HOME_FINAL | sed 's|[\]|/|g'`

echo "****************************"
echo "Server home path replacement"
echo "****************************"
echo
echo "This will replace the home path ($TOMCAT_HOME_INITIAL)"
echo "in all configuration files"
echo "with a new value based on the current directory ($TOMCAT_HOME_FINAL)"
echo

read -p "Do you want to proceed? [y|N] " -r ANSWER
if [ -z "$ANSWER" -o "$ANSWER" = "n" -o "$ANSWER" = "N" ] ; then
	echo "Replacement canceled by user."
elif [ "$ANSWER" = "y" -o "$ANSWER" = "Y" ] ; then
	echo "Replacing home path in configuration files..."
	for fich in `find $TOMCAT_HOME_FINAL -type f -a -name '*.xml' -print -o -name '*.userlibraries' -print -o -name '*.properties' -print -o -name '*.bat' -print -o -name '*.sh' -print -o -name '*.txt' -print` ; do 
		sed -i -e "s|$TOMCAT_HOME_INITIAL_SED|$TOMCAT_HOME_FINAL|g" $fich ;
		sed -i -e "s|$TOMCAT_HOME_INITIAL_BACKSLASH_SED|$TOMCAT_HOME_FINAL_BACKSLASH|g" $fich ;
	done
	echo "Done!"
fi
